设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 139418|回复: 110

[原创] 【Gu_xl】CAD表格系列之==== CAD普通线画表格转Excel表格

  [复制链接]

点击这里给我发消息

已领礼包: 344个

财富等级: 日进斗金

发表于 2013-7-7 10:14:17 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
本帖最后由 牢固 于 2014-2-25 10:25 编辑

C2X.gif 程序需加载最新的XDRX_API使用!

主程序(更新 2014.02.25 ):
  1. ;;CAD表格转Excel By Gu_xl 2013.07.01 更新 2014.02.25;;晓东API应用
  2. (defun c:C2X  (/ *xlapp*         *error*      
  3.                    GETTXTHEIGHT         GETTEXTSTR    SS
  4.                    FUZZ                 XL               COL
  5.                    YL                 ROW               GRIDLST
  6.                    TXTSS         MINTXTH       TMP
  7.                    GRIDSCALE         PX2WSCALE     PX2HSCALE
  8.                    CADCOLWIDTHS         CADCOLWIDTH   CADTOTALWIDTH
  9.                    CADROWHEIGHTS CADROWHEIGHT  CADTOTALHEIGHT
  10.                    RANGE         HEIGHT               ROWHEIGHT
  11.                    HEIGHTSCALE         WIDESCALE     TXTHSCALE
  12.                    HSCALE         STANDARDFONTSIZE
  13.                    DEFAULTROWHEIGHT               DEFAULTCOLWIDTH
  14.                    I                 B               TO
  15.                    TXTSTR         TXTH               FONT  box tmp h2wscale
  16.                   )

  17.   ;;计算字高
  18.   (defun gettxtheight (e / h dxf s txt)
  19.     ;(setq box (gxl-getTextBox e))
  20.     ;(abs (- (car (cdaddr box)) (cadar box)))
  21.     (setq e (entget e)
  22.           h (cdr (assoc 40 e))
  23.           dxf (cdr (assoc 0 e))
  24.           )
  25.     (cond
  26.       ((= "TEXT" dxf) h)
  27.       ((= "MTEXT" dxf)
  28.        (setq txt (cdr (assoc 1 e)))
  29.        (setq s (gxl-RegExSearch txt "\\\\H.+?x" "im"))
  30.        (if s
  31.          (* h (atof (substr (caddar s) 3)))
  32.          h
  33.          )
  34.         )
  35.       )
  36.     )
  37.   ;;获取文字
  38.   (defun Gettextstr (ent / regex s)
  39.     (setq ent (entget ent))
  40.     (setq s (cdr (assoc 1 ent)))
  41.     (if (= "TEXT" (cdr (assoc 0 ent)))
  42.       s
  43.       (progn
  44.         (setq regex (vlax-create-object "Vbscript.RegExp")) ;引用正则表达式控件
  45.         (if regex
  46.           (progn
  47.             (vlax-put-property regex "IgnoreCase" 0)        ;不忽略大小写
  48.             (vlax-put-property regex "Global" 1)            ;匹配方式,全文字匹配
  49.                                                             ;替换\\字符
  50.             (vlax-put-property regex "Pattern" "\\\\\\\\")
  51.             (setq s (vlax-invoke-method regex "Replace" s (chr 1)))
  52.                                                             ;替换\{字符
  53.             (vlax-put-property regex "Pattern" "\\\\{")
  54.             (setq s (vlax-invoke-method regex "Replace" s (chr 2)))
  55.                                                             ;替换\}字符
  56.             (vlax-put-property regex "Pattern" "\\\\}")
  57.             (setq s (vlax-invoke-method regex "Replace" s (chr 3)))
  58.                                                             ;删除段落缩进格式
  59.             (vlax-put-property regex "Pattern" "\\\\pi(.[^;]*);")
  60.             (setq s (vlax-invoke-method regex "Replace" s ""))
  61.                                                             ;删除制表符格式
  62.             (vlax-put-property regex "Pattern" "\\\\pt(.[^;]*);")
  63.             (setq s (vlax-invoke-method regex "Replace" s ""))
  64.                                                             ;删除堆迭格式
  65.             (vlax-put-property
  66.               regex
  67.               "Pattern"
  68.               "\\\\S(.[^;]*)(\\^|#|\\\\)(.[^;]*);"
  69.               )
  70.             (setq s (vlax-invoke-method regex "Replace" s ""))
  71.                                                             ;删除字体、颜色、字高、字距、倾斜、字宽、对齐格式
  72.             (vlax-put-property
  73.               regex
  74.               "Pattern"
  75.               "(\\\\F|\\\\f|\\\\C|\\\\H|\\\\\T|\\\\Q|\\\\W|\\\\A)(.[^;]*);"
  76.               )
  77.             (setq s (vlax-invoke-method regex "Replace" s ""))
  78.                                                             ;删除下划线、删除线格式
  79.             (vlax-put-property
  80.               regex
  81.               "Pattern"
  82.               "(\\\\L|\\\\O|\\\\l|\\\\o)"
  83.               )
  84.             (setq s (vlax-invoke-method regex "Replace" s ""))
  85.                                                             ;删除不间断空格格式
  86.             (vlax-put-property regex "Pattern" "\\\\~")
  87.             (setq s (vlax-invoke-method regex "Replace" s ""))
  88.                                                             ;删除换行符格式
  89.             (vlax-put-property regex "Pattern" "\\\\P")
  90.             (setq s (vlax-invoke-method regex "Replace" s "\r\n"))
  91.                                                             ;删除{}
  92.             (vlax-put-property regex "Pattern" "({|})")
  93.             (setq s (vlax-invoke-method regex "Replace" s ""))

  94.                                                             ;替换回\\,\{,\}字符
  95.             (vlax-put-property regex "Pattern" "\\x01")
  96.             (setq s (vlax-invoke-method regex "Replace" s "\\"))
  97.             (vlax-put-property regex "Pattern" "\\x02")
  98.             (setq s (vlax-invoke-method regex "Replace" s "{"))
  99.             (vlax-put-property regex "Pattern" "\\x03")
  100.             (setq s (vlax-invoke-method regex "Replace" s "}"))

  101.             (vlax-release-object regex)
  102.             )
  103.           )
  104.         s
  105.         )
  106.       )
  107.     )
  108.   ;;主程序开始
  109.   (defun *error* (s)
  110.     (princ s)
  111.     (princ "\n***创建表格失败,请检查表格是否全部为封闭单元格***")
  112.     (if (= 5 (getvar "undoctl"))
  113.       (command "undo" "b")
  114.       )
  115.     (gxl-Sys-ReBackViewSize)
  116.     (xdrx_statusbar_end)
  117.     (if *xlapp*
  118.       (progn
  119.         (vla-put-visible *xlapp* 1)
  120.         (vlxls-app-quit *xlapp* nil)
  121.         )
  122.       )
  123.     (princ)
  124.     )
  125.   (XDRX_BEGIN (list "cmdecho" 0 "expert" 5 "qaflags" 0))
  126.   (setq ss (ssget '((0 . "*polyline,line"))))
  127.   (setq fuzz 0.01)
  128.   (if ss
  129.     (progn
  130.       (gxl-SYS-STORESVIEWSIZE)
  131.      (command "_undo" "_m")
  132.       ;;拓扑表格
  133.       (setq ss (GetTableLst ss fuzz))
  134.       (command "undo" "b")
  135.       (setq xl (cadr ss) ;_ 列数的X坐标,从小到大
  136.             col (caddr ss) ;_ 列数
  137.             yl (cadddr ss) ;_ 列数的y坐标,从大到小
  138.             row (car (cddddr ss)) ;_ 行数
  139.             CadColWidths (nth 5 ss) ;_ 各列CAD宽度
  140.             CadRowHeights (nth 6 ss) ;_ 各行CAD高度
  141.             ;box (last ss)
  142.             GridLst (car ss)
  143.             )
  144.       (setq h2wscale 0.134871794871795)
  145.       (setq *xlapp* (vlxls-app-new t))
  146.       ;(setq r (vlax-get-property *xlapp* 'range "A1"))(VL-CATCH-ALL-APPLY 'VLXLS-geT-ROWHEIGHT (list *xlapp* 1))
  147.       (setq CadcolWidth (apply 'min CadColWidths) ;_ CAD最小宽度
  148.             CadTotalWidth (apply '+ CadColWidths) ;_ CAD总宽度
  149.             CadrowHeight (apply 'min CadRowHeights) ;_ CAD最小高度
  150.             CadTotalHeight (apply '+ CadRowHeights) ;_ CAD总高度
  151.             range (vlax-get-property *xlapp* 'range "a1")
  152.             Height 19.50 ;_ Excel像素行高,实际行高15
  153.             txthscale (/ Height CadrowHeight)
  154.             )
  155.       (setq StandardFontSize (vlax-get-property *XLAPP* 'StandardFontSize))
  156.       ;(setq defaultHeight (/ *THeight* StandardFontSize)) ;_ 默认高度
  157.       (setq defaultrowheight (VLXLS-GET-PROPERTY *XLAPP* "activesheet.rows.RowHeight"))
  158.       (setq defaultColWidth (VLXLS-GET-PROPERTY *XLAPP* "activesheet.Columns.ColumnWidth"))

  159.       (setq i 1)
  160.       (foreach a CadColWidths
  161.         ;(setq b (* a widescale hscale 1.197143))
  162.         (setq b (* h2wscale Height (/ a CadrowHeight)))
  163.         (VL-CATCH-ALL-APPLY 'vlxls-Put-ColumnWidth (list *xlapp* i b))
  164.         (setq i (1+ i))
  165.         )
  166.       (setq i 1)
  167.       (foreach a CadRowHeights
  168.         ;(setq b (* a heightscale hscale))
  169.         (setq b (* Height (/ a CadrowHeight)))
  170.         (VL-CATCH-ALL-APPLY 'VLXLS-PUT-ROWHEIGHT (list *xlapp* i b))
  171.         (setq i (1+ i))
  172.         )
  173.       (xdrx_statusbar_begin "Excel表" (setq to (length Gridlst)))
  174.       (setq pbar 0)
  175.       (foreach a Gridlst
  176.         (xdrx_statusbar_setpos (setq pbar (1+ pbar)))
  177.         (if (apply '/= (gxl-STRPARSE (car a) ":"))
  178.           (vlxls-cell-merge *xlapp* (car a))
  179.           )

  180.         (setq range (vlax-get-property *xlapp* "range" (car a)))
  181.         ;(command "_zoom" (trans (caadr a) 0 1) (trans (cadadr a) 0 1) "_zoom" "0.95x")
  182.         (XDRX_DOCUMENT_ASSUREINCURRENTVIEW (apply 'mapcar (cons 'min (cadr a))) (apply 'mapcar (cons 'max (cadr a))))
  183.         ;(setq txtss (ssget "_c" (trans (caadr a) 0 1) (trans (cadadr a) 0 1) '((0 . "*text"))))
  184.         (setq txtss (ssget "_cp" (mapcar '(lambda (x) (trans x 0 1)) (cadr a))  '((0 . "*text"))))
  185.         (if txtss
  186.           (progn
  187.             (setq txtstr "")
  188.             (setq txtss
  189.                    (vl-sort
  190.                      (gxl-SEL-SS->LIST txtss)
  191.                      '(lambda (a b)
  192.                         (> (cadr (gxl-dxf a 10)) (cadr (gxl-dxf b 10)))
  193.                       )
  194.                    )
  195.             )
  196.             (setq txtss (vl-remove-if-not '(lambda (x / box) (gxl-inorout (cadr a) (gxl-MIDPOINT (car (setq box (xdrx_entity_box x))) (caddr box)))) txtss))
  197.             (if txtss
  198.               (progn
  199.             (setq txtstr (Gettextstr (car txtss))
  200.                   txth (gettxtheight (car txtss))
  201.                   txtss (cdr txtss)
  202.                   )
  203.             (while txtss
  204.               (setq txtstr (strcat txtstr "\r\n" (Gettextstr (car txtss)))
  205.                   txth (max txth (gettxtheight (car txtss)))
  206.                   txtss (cdr txtss)
  207.                   )
  208.               )
  209.             (vlxls-cell-put-value *xlapp* (car a) txtstr)
  210.             (vlax-put-property
  211.               (setq font (vlax-get-property
  212.                            range
  213.                            "font"
  214.                          )
  215.               )
  216.               "Size"
  217.               (* txth  txthscale )
  218.             )
  219.             )
  220.               )
  221.           )
  222.         )
  223.         (vlax-put-property range "HorizontalAlignment" -4108)
  224.         (vlax-put-property range "VerticalAlignment" -4108)
  225.         (vlxls-cell-border *xlapp* (car a) t)
  226.         )
  227.       (xdrx_statusbar_end)
  228.       (gxl-SYS-RESTORESVIEWSIZE)
  229.       (vla-put-visible *xlapp* 1)
  230.       (vlax-release-object *XLAPP*)
  231.       ;|(alert
  232.         (strcat
  233.         "********************************\n\n*"
  234.         "   CAD表格到Excel表格转换完毕!  *\n\n"
  235.         "*  版权所有: Gu_xl               *\n\n"
  236.         "*  联系方式 : Gu_xl@sohu.com     *\n\n"
  237.         "********************************")
  238.         )|;
  239.       )
  240.     )
  241.   (XDRX_END)
  242.   (princ)
  243.   )

全部源码:
游客,本帖隐藏的内容需要积分高于 50 才可浏览,您当前积分为 0

编译的Fas文件:
请点击此处下载

查看状态:需购买或无权限

您的用户组是:游客

文件名称:C2X.rar 
下载次数:675  文件大小:14.34 KB 
下载权限: 学生 以上  [免费赚D豆]


本帖被以下淘专辑推荐:

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 403个

财富等级: 日进斗金

发表于 2013-7-7 16:51:58 | 显示全部楼层
C2X.gif
初次制作,不知效果如何

点评

做的不错,效果,时间还好啊。 还有什么建议吗,说说,完善它。  详情 回复 发表于 2013-7-7 16:58

评分

参与人数 1D豆 +10 收起 理由
XDSoft + 10 热心帮忙奖!

查看全部评分

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 2 反对 0

使用道具 举报

已领礼包: 6466个

财富等级: 富甲天下

发表于 2013-7-7 10:35:30 | 显示全部楼层
第一次坐上G版的沙发。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 403个

财富等级: 日进斗金

发表于 2013-7-7 10:41:49 | 显示全部楼层
no function definition: XDRX_DOCUMENT_UCSOFF
***创建表格失败,请检查表格是否全部为封闭单元格***
也用不了,表格线肯定是封闭的
看来只有等老大更新XDRX_API了:)

点评

你用的是哪个版本的ACAD?  详情 回复 发表于 2013-7-7 12:51
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2013-7-7 11:39:03 来自手机 | 显示全部楼层
xdrx_ucsoff原来是这个名称来自: Android客户端
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

点击这里给我发消息

已领礼包: 145个

财富等级: 日进斗金

发表于 2013-7-7 12:51:45 | 显示全部楼层
sjj 发表于 2013-7-7 10:41
no function definition: XDRX_DOCUMENT_UCSOFF
***创建表格失败,请检查表格是否全部为封闭单元格***
也 ...

你用的是哪个版本的ACAD?

点评

sjj
2004 2006二个版本 都有这个问题  详情 回复 发表于 2013-7-7 15:23
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 403个

财富等级: 日进斗金

发表于 2013-7-7 15:23:58 | 显示全部楼层
XDSoft 发表于 2013-7-7 12:51
你用的是哪个版本的ACAD?

2004 2006二个版本
都有这个问题

点评

最新XDRX_API 0707版发布了,去下载测试下吧。  详情 回复 发表于 2013-7-7 15:40
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

点击这里给我发消息

已领礼包: 145个

财富等级: 日进斗金

发表于 2013-7-7 15:40:47 | 显示全部楼层
sjj 发表于 2013-7-7 15:23
2004 2006二个版本
都有这个问题

最新XDRX_API 0707版发布了,去下载测试下吧。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 403个

财富等级: 日进斗金

发表于 2013-7-7 15:54:57 | 显示全部楼层
测试成功
速度好像有点慢

点评

贴个测试的动画来论坛吧。看看。多大的表格?  详情 回复 发表于 2013-7-7 16:00
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

点击这里给我发消息

已领礼包: 145个

财富等级: 日进斗金

发表于 2013-7-7 16:00:57 | 显示全部楼层
sjj 发表于 2013-7-7 15:54
测试成功
速度好像有点慢

贴个测试的动画来论坛吧。看看。多大的表格?
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

点击这里给我发消息

已领礼包: 145个

财富等级: 日进斗金

发表于 2013-7-7 16:58:50 | 显示全部楼层
sjj 发表于 2013-7-7 16:51
初次制作,不知效果如何

做的不错,效果,时间还好啊。

还有什么建议吗,说说,完善它。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 403个

财富等级: 日进斗金

发表于 2013-7-7 17:40:03 | 显示全部楼层
本帖最后由 sjj 于 2013-7-7 17:41 编辑

电脑配置差了些
表格转换时间还可以了,
刚测试表格,离表格线近的文字会“串门”;P
(除本身位置,相邻的单元格内重复出现)

点评

串门时因为隔壁的文字压线串门了!  详情 回复 发表于 2013-7-7 19:31
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

点击这里给我发消息

已领礼包: 344个

财富等级: 日进斗金

 楼主| 发表于 2013-7-7 19:31:36 | 显示全部楼层
sjj 发表于 2013-7-7 17:40
电脑配置差了些
表格转换时间还可以了,
刚测试表格,离表格线近的文字会“串门”

串门时因为隔壁的文字压线串门了!

点评

选文字的时候,可否用文字的中心点判断,中心在哪个格子就是哪个格子,感觉这样误差能小些,如果中心都在线附近了,那文字就串的太厉害了,一般的表格不会出现这样的。  详情 回复 发表于 2013-7-7 20:51
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 40个

财富等级: 招财进宝

发表于 2013-7-7 20:51:07 | 显示全部楼层
牢固 发表于 2013-7-7 19:31
串门时因为隔壁的文字压线串门了!

选文字的时候,可否用文字的中心点判断,中心在哪个格子就是哪个格子,感觉这样误差能小些,如果中心都在线附近了,那文字就串的太厉害了,一般的表格不会出现这样的。

点评

不错的建议!一楼程序已按此法修改!  详情 回复 发表于 2013-7-7 21:39
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

点击这里给我发消息

已领礼包: 344个

财富等级: 日进斗金

 楼主| 发表于 2013-7-7 21:39:02 | 显示全部楼层
newer 发表于 2013-7-7 20:51
选文字的时候,可否用文字的中心点判断,中心在哪个格子就是哪个格子,感觉这样误差能小些,如果中心都在 ...

不错的建议!一楼程序已按此法修改!

点评

文字为 text 的就不用正则表达式替换了  详情 回复 发表于 2013-7-7 22:05
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2020-9-25 10:40 , Processed in 0.279933 second(s), 108 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表